## org.exist.xupdate.test
Class XUpdateTest

    java.lang.Object
      org.exist.xupdate.test.XUpdateTest

public class XUpdateTest
extends java.lang.Object

Author:
  berlinge-to To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

Constructor Summary
`XUpdateTest()` Constructor for xupdate.

Method Summary
`void` `addDocument(java.lang.String sourceFile)`
`void` `doTest(java.lang.String testName, java.lang.String sourceFile)`
`void` `removeDocument()`
`void` `setUp()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XUpdateTest

    public XUpdateTest()

  Constructor for xupdate.

Method Detail

### setUp

    public void setUp()

### doTest

    public void doTest(java.lang.String testName,
                       java.lang.String sourceFile)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addDocument

    public void addDocument(java.lang.String sourceFile)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeDocument

    public void removeDocument()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.